can驱动

中文QNX 讨论: 欢迎大家灌水,讨论有关QNX 问题。

can驱动

帖子空城和出口 » 周四 10月 20, 2011 11:45 am

请教xtang先生:
我现在下载到一个can的驱动,不过是比较老的版本,使用io-net协议
而6.5版本使用io-pkt协议
请问怎么从老版本移植到现在的6.5版本?
空城和出口
Senior Member
 
帖子: 31
注册: 周三 8月 17, 2011 11:02 am

Re: can驱动

帖子xtang » 周五 10月 21, 2011 11:10 pm

除了“拿到源码,从新移植”以外,没有什么好办法。
xtang
Moderator
 
帖子: 1815
注册: 周五 9月 12, 2003 4:14 am
地址: China

Re: can驱动

帖子空城和出口 » 周一 10月 24, 2011 9:46 am

我在QNX官网上下载到了针对我的sja1000的驱动源码,不过是6.3版本的
我现在需要移植到6.5版本上,请问需要做哪些修改?目前不知道从哪里下手
空城和出口
Senior Member
 
帖子: 31
注册: 周三 8月 17, 2011 11:02 am

Re: can驱动

帖子xtang » 周二 10月 25, 2011 11:48 am

io-pkt的结构与以往的io-net完全不一样,所以你得从io-pkt结构先看起

http://www.qnx.com/developers/docs/6.4. ... h/net.html
viewtopic.php?t=2607
xtang
Moderator
 
帖子: 1815
注册: 周五 9月 12, 2003 4:14 am
地址: China

Re: can驱动

帖子空城和出口 » 周三 10月 26, 2011 11:10 am

请问xtang先生
你那里有没有io-net版本和io-pkt版本的同一个设备的驱动源码?我想对比着看看区别在哪里
我的邮箱83570300@163.com
不胜感激
空城和出口
Senior Member
 
帖子: 31
注册: 周三 8月 17, 2011 11:02 am


回到 四海同心QNX论坛

在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客

cron